Summary:     The GNU Debugger
Name:        gdb
Version:     6.0
Release:     2.pp
License:     GPL
Group:       Development/Debugger
Source0:     ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
URL:         http://www.gnu.org/software/%{name}/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Peter Pramberger
Packager:    Peter Pramberger <peter.pramberger@1012surf.net>
Provides:    %{name}.pp
Requires:    ncurses
Prereq:      /bin/bash /sbin/ldconfig
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel binutils gettext ncurses-devel
ExclusiveOS: linux


%description
The GNU Debugger (GDB) is a source-level debugger for C,
C++, Java, Modula-2, and several other languages. It runs
on GNU/Linux, the BSD's, and almost every major proprietary
OS. GDB can debug programs running on the same machine as
itself, or it can communicate over a network or serial line
with a debugging stub on another machine; thus, it can be
used for embedded and kernel debugging.


%prep
%setup -q
mkdir build


%build
export CFLAGS="$RPM_OPT_FLAGS"
cd build
../configure \
	--prefix=/usr           \
	--sysconfdir=/etc       \
	--localstatedir=/var    \
	--mandir=/usr/share/man \
	--enable-tui            \
	--with-x
make all


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
cd build
make DESTDIR=$RPM_BUILD_ROOT install


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc gdb/CONTRIBUTE gdb/COPYING gdb/MAINTAINERS gdb/NEWS gdb/PROBLEMS
%doc gdb/README gdb/TODO gdb/ChangeLog*
/usr/bin/*
/usr/share/locale/*
/usr/share/man/man1/*


%changelog
* Tue Jan 27 2004 peter.pramberger@1012surf.net
- created

